CXX=g++
CXXFLAGS=-g -O0 -Wall -Wshadow -pedantic
CXXCPPFLAGS=-I. -I../..
LDFLAGS=-lexpat -lxerces-c

.PHONY: all clean install

all: AD5791.o

../../tools/add_endline.exe: ../../tools/add_endline.cpp
	$(CXX) $< -o $@

../../core/core.a:
	$(MAKE) -C ../../core core.a

clean: ../../tools/add_endline.exe
	for f in AD5791.cpp AD5791.h; do $< $$f; done
	rm -f *.exe *.o *~ core.*

AD5791.o: AD5791.cpp AD5791.h
	$(CXX) -c $(CXXFLAGS) $(CXXCPPFLAGS) -o $@ $<

